### Method

# ECal ComponentAlarmTrigger set_duration

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_trigger_set_duration (
      ECalComponentAlarmTrigger* trigger,
      const ICalDuration* duration
    )

#### Description [src]

Sets the `trigger` duration for a relative trigger. The function does nothing, when the `trigger` is an absolute trigger. The object is owned by `trigger` and it’s valid until the `trigger` is freed or its relative duration changed.

Available since: 3.34

#### Parameters

`duration`

  Type: `None`

  Duration for a relative trigger, as an `ICalDuration`.

  The data is owned by the caller of the method.